## vice 3.5.0.dfsg

=== src/lib/libffmpeg/Makefile ===
COMPAT_SOURCE_FILES = \
	compat/msvcrt/snprintf.c \
	compat/plan9/main.c \
	compat/getopt.c \
	compat/strtod.c

COMPAT_HEADER_FILES = \
	compat/aix/math.h \
	compat/avisynth/avisynth_c.h \
	compat/avisynth/avisynth_c_25.h \
	compat/avisynth/avxsynth_c.h \
	compat/avisynth/windowsPorts/basicDataTypeConversions.h \
	compat/avisynth/windowsPorts/windows2linux.h \
	compat/dos/inttypes.h \
	compat/float/float.h \
	compat/float/limits.h \
	compat/msvcrt/snprintf.h \
	compat/tms470/math.h \
	compat/os2threads.h \
	compat/va_copy.h \
	compat/w32pthreads.h

COMPAT_EXTRA_FILES = \
	compat/plan9/head \
	compat/plan9/printf \
	compat/windows/makedef

DOX_FILES = \
	doc/examples/avio_reading.c \
	doc/examples/decoding_encoding.c \
	doc/examples/demuxing_decoding.c \
	doc/examples/extract_mvs.c \
	doc/examples/filter_audio.c \
	doc/examples/filtering_audio.c \
	doc/examples/filtering_video.c \
	doc/examples/Makefile \
	doc/examples/metadata.c \
	doc/examples/muxing.c \
	doc/examples/README \
	doc/examples/remuxing.c \
	doc/examples/resampling_audio.c \
	doc/examples/scaling_video.c \
	doc/examples/transcode_aac.c \
	doc/examples/transcoding.c \
	doc/APIchanges \
	doc/authors.texi \
	doc/bitstream_filters.texi \
	doc/bootstrap.min.css \
	doc/build_system.txt \
	doc/codecs.texi \
	doc/decoders.texi \
	doc/default.css \
	doc/demuxers.texi \
	doc/developer.texi \
	doc/devices.texi \
	doc/Doxyfile \
	doc/doxy-wrapper.sh \
	doc/encoders.texi \
	doc/errno.txt \
	doc/faq.texi \
	doc/fate.texi \
	doc/fate_config.sh.template \
	doc/ffmpeg.texi \
	doc/ffmpeg.txt \
	doc/ffmpeg-bitstream-filters.texi \
	doc/ffmpeg-codecs.texi \
	doc/ffmpeg-devices.texi \
	doc/ffmpeg-filters.texi \
	doc/ffmpeg-formats.texi \
	doc/ffmpeg-protocols.texi \
	doc/ffmpeg-resampler.texi \
	doc/ffmpeg-scaler.texi \
	doc/ffmpeg-utils.texi \
	doc/ffplay.texi \
	doc/ffprobe.texi \
	doc/ffprobe.xsd \
	doc/ffserver.conf \
	doc/ffserver.texi \
	doc/fftools-common-opts.texi \
	doc/filter_design.txt \
	doc/filters.texi \
	doc/formats.texi \
	doc/general.texi \
	doc/git-howto.texi \
	doc/indevs.texi \
	doc/issue_tracker.txt \
	doc/libavcodec.texi \
	doc/libavdevice.texi \
	doc/libavfilter.texi \
	doc/libavformat.texi \
	doc/libavutil.texi \
	doc/libswresample.texi \
	doc/libswscale.texi \
	doc/Makefile \
	doc/metadata.texi \
	doc/mips.txt \
	doc/multithreading.txt \
	doc/muxers.texi \
	doc/nut.texi \
	doc/optimization.txt \
	doc/outdevs.texi \
	doc/platform.texi \
	doc/print_options.c \
	doc/protocols.texi \
	doc/rate_distortion.txt \
	doc/resampler.texi \
	doc/scaler.texi \
	doc/snow.txt \
	doc/style.min.css \
	doc/swresample.txt \
	doc/swscale.txt \
	doc/t2h.init \
	doc/t2h.pm \
	doc/tablegen.txt \
	doc/texi2pod.pl \
	doc/texidep.pl \
	doc/utils.texi \
	doc/writing_filters.txt

LIBAVCODEC_SOURCE_FILES = \
	libavcodec/aarch64/fft_init_aarch64.c \
	libavcodec/aarch64/h264chroma_init_aarch64.c \
	libavcodec/aarch64/h264dsp_init_aarch64.c \
	libavcodec/aarch64/h264qpel_init_aarch64.c \
	libavcodec/aarch64/hpeldsp_init_aarch64.c \
	libavcodec/aarch64/mpegaudiodsp_init.c \
	libavcodec/aarch64/neontest.c \
	libavcodec/aarch64/opus_imdct_init.c \
	libavcodec/aarch64/rv40dsp_init_aarch64.c \
	libavcodec/aarch64/vc1dsp_init_aarch64.c \
	libavcodec/aarch64/videodsp_init.c \
	libavcodec/aarch64/vorbisdsp_init.c \
	libavcodec/alpha/blockdsp_alpha.c \
	libavcodec/alpha/hpeldsp_alpha.c \
	libavcodec/alpha/idctdsp_alpha.c \
	libavcodec/alpha/me_cmp_alpha.c \
	libavcodec/alpha/mpegvideo_alpha.c \
	libavcodec/alpha/pixblockdsp_alpha.c \
	libavcodec/alpha/simple_idct_alpha.c \
	libavcodec/arm/aacpsdsp_init_arm.c \
	libavcodec/arm/ac3dsp_init_arm.c \
	libavcodec/arm/audiodsp_init_arm.c \
	libavcodec/arm/audiodsp_init_neon.c \
	libavcodec/arm/blockdsp_init_arm.c \
	libavcodec/arm/blockdsp_init_neon.c \
	libavcodec/arm/dcadsp_init_arm.c \
	libavcodec/arm/dct-test.c \
	libavcodec/arm/fft_fixed_init_arm.c \
	libavcodec/arm/fft_init_arm.c \
	libavcodec/arm/flacdsp_init_arm.c \
	libavcodec/arm/fmtconvert_init_arm.c \
	libavcodec/arm/h264chroma_init_arm.c \
	libavcodec/arm/h264dsp_init_arm.c \
	libavcodec/arm/h264pred_init_arm.c \
	libavcodec/arm/h264qpel_init_arm.c \
	libavcodec/arm/hpeldsp_init_arm.c \
	libavcodec/arm/hpeldsp_init_armv6.c \
	libavcodec/arm/hpeldsp_init_neon.c \
	libavcodec/arm/idctdsp_init_arm.c \
	libavcodec/arm/idctdsp_init_armv5te.c \
	libavcodec/arm/idctdsp_init_armv6.c \
	libavcodec/arm/idctdsp_init_neon.c \
	libavcodec/arm/lossless_audiodsp_init_arm.c \
	libavcodec/arm/me_cmp_init_arm.c \
	libavcodec/arm/mlpdsp_init_arm.c \
	libavcodec/arm/mpegaudiodsp_init_arm.c \
	libavcodec/arm/mpegvideo_arm.c \
	libavcodec/arm/mpegvideo_armv5te.c \
	libavcodec/arm/mpegvideoencdsp_init_arm.c \
	libavcodec/arm/neontest.c \
	libavcodec/arm/pixblockdsp_init_arm.c \
	libavcodec/arm/rv34dsp_init_arm.c \
	libavcodec/arm/rv40dsp_init_arm.c \
	libavcodec/arm/sbrdsp_init_arm.c \
	libavcodec/arm/vc1dsp_init_arm.c \
	libavcodec/arm/vc1dsp_init_neon.c \
	libavcodec/arm/videodsp_init_arm.c \
	libavcodec/arm/videodsp_init_armv5te.c \
	libavcodec/arm/vorbisdsp_init_arm.c \
	libavcodec/arm/vp3dsp_init_arm.c \
	libavcodec/arm/vp6dsp_init_arm.c \
	libavcodec/arm/vp8dsp_init_arm.c \
	libavcodec/arm/vp8dsp_init_armv6.c \
	libavcodec/arm/vp8dsp_init_neon.c \
	libavcodec/mips/aaccoder_mips.c \
	libavcodec/mips/aacdec_mips.c \
	libavcodec/mips/aacpsdsp_mips.c \
	libavcodec/mips/aacsbr_mips.c \
	libavcodec/mips/ac3dsp_mips.c \
	libavcodec/mips/acelp_filters_mips.c \
	libavcodec/mips/acelp_vectors_mips.c \
	libavcodec/mips/amrwbdec_mips.c \
	libavcodec/mips/celp_filters_mips.c \
	libavcodec/mips/celp_math_mips.c \
	libavcodec/mips/fft_mips.c \
	libavcodec/mips/fmtconvert_mips.c \
	libavcodec/mips/iirfilter_mips.c \
	libavcodec/mips/mpegaudiodsp_mips_fixed.c \
	libavcodec/mips/mpegaudiodsp_mips_float.c \
	libavcodec/mips/sbrdsp_mips.c \
	libavcodec/neon/mpegvideo.c \
	libavcodec/ppc/audiodsp.c \
	libavcodec/ppc/blockdsp.c \
	libavcodec/ppc/dct-test.c \
	libavcodec/ppc/fdctdsp.c \
	libavcodec/ppc/fft_init.c \
	libavcodec/ppc/fft_vsx.c \
	libavcodec/ppc/fmtconvert_altivec.c \
	libavcodec/ppc/h264chroma_init.c \
	libavcodec/ppc/h264chroma_template.c \
	libavcodec/ppc/h264dsp.c \
	libavcodec/ppc/h264qpel.c \
	libavcodec/ppc/h264qpel_template.c \
	libavcodec/ppc/hpeldsp_altivec.c \
	libavcodec/ppc/huffyuvdsp_altivec.c \
	libavcodec/ppc/idctdsp.c \
	libavcodec/ppc/lossless_audiodsp_altivec.c \
	libavcodec/ppc/me_cmp.c \
	libavcodec/ppc/mpegaudiodsp_altivec.c \
	libavcodec/ppc/mpegvideo_altivec.c \
	libavcodec/ppc/mpegvideodsp.c \
	libavcodec/ppc/mpegvideoencdsp.c \
	libavcodec/ppc/pixblockdsp.c \
	libavcodec/ppc/svq1enc_altivec.c \
	libavcodec/ppc/vc1dsp_altivec.c \
	libavcodec/ppc/videodsp_ppc.c \
	libavcodec/ppc/vorbisdsp_altivec.c \
	libavcodec/ppc/vp3dsp_altivec.c \
	libavcodec/ppc/vp8dsp_altivec.c \
	libavcodec/x86/ac3dsp_init.c \
	libavcodec/x86/audiodsp_init.c \
	libavcodec/x86/blockdsp_init.c \
	libavcodec/x86/bswapdsp_init.c \
	libavcodec/x86/cavsdsp.c \
	libavcodec/x86/constants.c \
	libavcodec/x86/dcadsp_init.c \
	libavcodec/x86/dct_init.c \
	libavcodec/x86/dct-test.c \
	libavcodec/x86/dirac_dwt.c \
	libavcodec/x86/diracdsp_mmx.c \
	libavcodec/x86/dnxhdenc_init.c \
	libavcodec/x86/fdct.c \
	libavcodec/x86/fdctdsp_init.c \
	libavcodec/x86/fft_init.c \
	libavcodec/x86/flacdsp_init.c \
	libavcodec/x86/fmtconvert_init.c \
	libavcodec/x86/h263dsp_init.c \
	libavcodec/x86/h264_intrapred_init.c \
	libavcodec/x86/h264_qpel.c \
	libavcodec/x86/h264chroma_init.c \
	libavcodec/x86/h264dsp_init.c \
	libavcodec/x86/hevcdsp_init.c \
	libavcodec/x86/hpeldsp_init.c \
	libavcodec/x86/hpeldsp_rnd_template.c \
	libavcodec/x86/huffyuvdsp_init.c \
	libavcodec/x86/huffyuvencdsp_mmx.c \
	libavcodec/x86/idctdsp_init.c \
	libavcodec/x86/idctdsp_mmx.c \
	libavcodec/x86/lossless_audiodsp_init.c \
	libavcodec/x86/lossless_videodsp_init.c \
	libavcodec/x86/lpc.c \
	libavcodec/x86/me_cmp_init.c \
	libavcodec/x86/mlpdsp.c \
	libavcodec/x86/mpegaudiodsp.c \
	libavcodec/x86/mpegvideo.c \
	libavcodec/x86/mpegvideodsp.c \
	libavcodec/x86/mpegvideoenc.c \
	libavcodec/x86/mpegvideoenc_qns_template.c \
	libavcodec/x86/mpegvideoenc_template.c \
	libavcodec/x86/mpegvideoencdsp_init.c \
	libavcodec/x86/pixblockdsp_init.c \
	libavcodec/x86/pngdsp_init.c \
	libavcodec/x86/proresdsp_init.c \
	libavcodec/x86/qpeldsp_init.c \
	libavcodec/x86/rnd_template.c \
	libavcodec/x86/rv34dsp_init.c \
	libavcodec/x86/rv40dsp_init.c \
	libavcodec/x86/sbrdsp_init.c \
	libavcodec/x86/simple_idct.c \
	libavcodec/x86/snowdsp.c \
	libavcodec/x86/svq1enc_init.c \
	libavcodec/x86/ttadsp_init.c \
	libavcodec/x86/v210-init.c \
	libavcodec/x86/vc1dsp_init.c \
	libavcodec/x86/vc1dsp_mmx.c \
	libavcodec/x86/videodsp_init.c \
	libavcodec/x86/vorbisdsp_init.c \
	libavcodec/x86/vp3dsp_init.c \
	libavcodec/x86/vp6dsp_init.c \
	libavcodec/x86/vp8dsp_init.c \
	libavcodec/x86/vp9dsp_init.c \
	libavcodec/x86/w64xmmtest.c \
	libavcodec/x86/xvididct_init.c \
	libavcodec/x86/xvididct_mmx.c \
	libavcodec/x86/xvididct_sse2.c \
	libavcodec/012v.c \
	libavcodec/4xm.c \
	libavcodec/8bps.c \
	libavcodec/8svx.c \
	libavcodec/a64multienc.c \
	libavcodec/aac_ac3_parser.c \
	libavcodec/aac_adtstoasc_bsf.c \
	libavcodec/aac_parser.c \
	libavcodec/aac_tablegen.c \
	libavcodec/aacadtsdec.c \
	libavcodec/aaccoder.c \
	libavcodec/aacdec.c \
	libavcodec/aacenc.c \
	libavcodec/aacps.c \
	libavcodec/aacps_tablegen.c \
	libavcodec/aacpsdata.c \
	libavcodec/aacpsdsp.c \
	libavcodec/aacpsy.c \
	libavcodec/aacsbr.c \
	libavcodec/aacsbr_tablegen.c \
	libavcodec/aactab.c \
	libavcodec/aandcttab.c \
	libavcodec/aasc.c \
	libavcodec/ac3.c \
	libavcodec/ac3_parser.c \
	libavcodec/ac3dec.c \
	libavcodec/ac3dec_data.c \
	libavcodec/ac3dec_fixed.c \
	libavcodec/ac3dec_float.c \
	libavcodec/ac3dsp.c \
	libavcodec/ac3enc.c \
	libavcodec/ac3enc_fixed.c \
	libavcodec/ac3enc_float.c \
	libavcodec/ac3enc_opts_template.c \
	libavcodec/ac3enc_template.c \
	libavcodec/ac3tab.c \
	libavcodec/acelp_filters.c \
	libavcodec/acelp_pitch_delay.c \
	libavcodec/acelp_vectors.c \
	libavcodec/adpcm.c \
	libavcodec/adpcm_data.c \
	libavcodec/adpcmenc.c \
	libavcodec/adx.c \
	libavcodec/adx_parser.c \
	libavcodec/adxdec.c \
	libavcodec/adxenc.c \
	libavcodec/aic.c \
	libavcodec/alac.c \
	libavcodec/alac_data.c \
	libavcodec/alacenc.c \
	libavcodec/aliaspixdec.c \
	libavcodec/aliaspixenc.c \
	libavcodec/allcodecs.c \
	libavcodec/alsdec.c \
	libavcodec/amrnbdec.c \
	libavcodec/amrwbdec.c \
	libavcodec/anm.c \
	libavcodec/ansi.c \
	libavcodec/apedec.c \
	libavcodec/ass.c \
	libavcodec/ass_split.c \
	libavcodec/assdec.c \
	libavcodec/assenc.c \
	libavcodec/asv.c \
	libavcodec/asvdec.c \
	libavcodec/asvenc.c \
	libavcodec/atrac.c \
	libavcodec/atrac1.c \
	libavcodec/atrac3.c \
	libavcodec/atrac3plus.c \
	libavcodec/atrac3plusdec.c \
	libavcodec/atrac3plusdsp.c \
	libavcodec/audio_frame_queue.c \
	libavcodec/audioconvert.c \
	libavcodec/audiodsp.c \
	libavcodec/aura.c \
	libavcodec/avdct.c \
	libavcodec/avfft.c \
	libavcodec/avpacket.c \
	libavcodec/avpicture.c \
	libavcodec/avrndec.c \
	libavcodec/avs.c \
	libavcodec/avuidec.c \
	libavcodec/avuienc.c \
	libavcodec/bethsoftvideo.c \
	libavcodec/bfi.c \
	libavcodec/bgmc.c \
	libavcodec/bink.c \
	libavcodec/binkaudio.c \
	libavcodec/binkdsp.c \
	libavcodec/bintext.c \
	libavcodec/bit_depth_template.c \
	libavcodec/bitstream.c \
	libavcodec/bitstream_filter.c \
	libavcodec/blockdsp.c \
	libavcodec/bmp.c \
	libavcodec/bmp_parser.c \
	libavcodec/bmpenc.c \
	libavcodec/bmvaudio.c \
	libavcodec/bmvvideo.c \
	libavcodec/brenderpix.c \
	libavcodec/bswapdsp.c \
	libavcodec/c93.c \
	libavcodec/cabac.c \
	libavcodec/cabac_tablegen.c \
	libavcodec/cavs.c \
	libavcodec/cavs_parser.c \
	libavcodec/cavsdata.c \
	libavcodec/cavsdec.c \
	libavcodec/cavsdsp.c \
	libavcodec/cbrt_tablegen.c \
	libavcodec/cdgraphics.c \
	libavcodec/cdxl.c \
	libavcodec/celp_filters.c \
	libavcodec/celp_math.c \
	libavcodec/cga_data.c \
	libavcodec/chomp_bsf.c \
	libavcodec/cinepak.c \

=== src/lib/libx264/Makefile ===
# Makefile

include config.mak

vpath %.c $(SRCPATH)
vpath %.h $(SRCPATH)
vpath %.S $(SRCPATH)
vpath %.asm $(SRCPATH)
vpath %.rc $(SRCPATH)

GENERATED =

all: default
default:

SOURCE_FILES = \
	x264.c \
	x264dll.c \
	common/bitstream.c \
	common/cabac.c \
	common/common.c \
	common/cpu.c \
	common/dct.c \
	common/deblock.c \
	common/frame.c \
	common/macroblock.c \
	common/mc.c \
	common/mvpred.c \
	common/oclobj-msvc.h \
	common/opencl.c \
	common/osdep.c \
	common/pixel.c \
	common/predict.c \
	common/quant.c \
	common/rectangle.c \
	common/set.c \
	common/threadpool.c \
	common/vlc.c \
	common/win32thread.c \
	common/aarch64/mc-c.c \
	common/aarch64/predict-c.c \
	common/arm/mc-c.c \
	common/arm/predict-c.c \
	common/ppc/dct.c \
	common/ppc/deblock.c \
	common/ppc/mc.c \
	common/ppc/pixel.c \
	common/ppc/predict.c \
	common/ppc/quant.c \
	common/x86/mc-c.c \
	common/x86/predict-c.c \
	encoder/analyse.c \
	encoder/cabac.c \
	encoder/cavlc.c \
	encoder/encoder.c \
	encoder/lookahead.c \
	encoder/macroblock.c \
	encoder/me.c \
	encoder/ratecontrol.c \
	encoder/rdo.c \
	encoder/set.c \
	encoder/slicetype.c \
	encoder/slicetype-cl.c \
	extras/getopt.c \
	filters/filters.c \
	filters/video/cache.c \
	filters/video/crop.c \
	filters/video/depth.c \
	filters/video/fix_vfr_pts.c \
	filters/video/internal.c \
	filters/video/resize.c \
	filters/video/select_every.c \
	filters/video/source.c \
	filters/video/video.c \
	input/avs.c \
	input/ffms.c \
	input/input.c \
	input/lavf.c \
	input/raw.c \
	input/thread.c \
	input/timecode.c \
	input/y4m.c \
	output/flv.c \
	output/flv_bytestream.c \
	output/matroska.c \
	output/matroska_ebml.c \
	output/mp4.c \
	output/mp4_lsmash.c \
	output/raw.c \
	tools/checkasm.c

HEADER_FILES = \
	x264.h \
	x264cli.h \
	common/bitstream.h \
	common/cabac.h \
	common/common.h \
	common/cpu.h \
	common/dct.h \
	common/frame.h \
	common/macroblock.h \
	common/mc.h \
	common/opencl.h \
	common/osdep.h \
	common/pixel.h \
	common/predict.h \
	common/quant.h \
	common/rectangle.h \
	common/set.h \
	common/threadpool.h \
	common/win32thread.h \
	common/aarch64/dct.h \
	common/aarch64/mc.h \
	common/aarch64/pixel.h \
	common/aarch64/predict.h \
	common/aarch64/quant.h \
	common/arm/dct.h \
	common/arm/mc.h \
	common/arm/pixel.h \
	common/arm/predict.h \
	common/arm/quant.h \
	common/opencl/x264-cl.h \
	common/ppc/dct.h \
	common/ppc/mc.h \
	common/ppc/pixel.h \
	common/ppc/ppccommon.h \
	common/ppc/predict.h \
	common/ppc/quant.h \
	common/x86/dct.h \
	common/x86/mc.h \
	common/x86/pixel.h \
	common/x86/predict.h \
	common/x86/quant.h \
	common/x86/util.h \
	dos/getopt.h \
	encoder/analyse.h \
	encoder/macroblock.h \
	encoder/me.h \
	encoder/ratecontrol.h \
	encoder/set.h \
	extras/avisynth_c.h \
	extras/avxsynth_c.h \
	extras/cl.h \
	extras/cl_platform.h \
	extras/getopt.h \
	extras/inttypes.h \
	extras/stdint.h \
	extras/windowsPorts/basicDataTypeConversions.h \
	extras/windowsPorts/windows2linux.h \
	filters/filters.h \
	filters/video/internal.h \
	filters/video/video.h \
	input/input.h \
	output/flv_bytestream.h \
	output/matroska_ebml.h \
	output/output.h

ASM_FILES = \
	common/aarch64/asm.S \
	common/aarch64/dct-a.S \
	common/aarch64/deblock-a.S \
	common/aarch64/mc-a.S \
	common/aarch64/pixel-a.S \
	common/aarch64/predict-a.S \
	common/aarch64/quant-a.S \
	common/arm/asm.S \
	common/arm/cpu-a.S \
	common/arm/dct-a.S \
	common/arm/deblock-a.S \
	common/arm/mc-a.S \
	common/arm/pixel-a.S \
	common/arm/predict-a.S \
	common/arm/quant-a.S \
	common/x86/bitstream-a.asm \
	common/x86/cabac-a.asm \
	common/x86/const-a.asm \
	common/x86/cpu-a.asm \
	common/x86/dct-32.asm \
	common/x86/dct-64.asm \
	common/x86/dct-a.asm \
	common/x86/deblock-a.asm \
	common/x86/mc-a.asm \
	common/x86/mc-a2.asm \
	common/x86/pixel-32.asm \
	common/x86/pixel-a.asm \
	common/x86/predict-a.asm \
	common/x86/quant-a.asm \
	common/x86/sad16-a.asm \
	common/x86/sad-a.asm \
	common/x86/trellis-64.asm \
	common/x86/x86inc.asm \
	common/x86/x86util.asm \
	tools/checkasm-a.asm

EXTRA_FILES = \
	AUTHORS \
	config.guess \
	config.sub \
	configure \
	COPYING \
	Makefile \
	version.sh \
	x264res.rc \
	common/opencl/bidir.cl \
	common/opencl/downscale.cl \
	common/opencl/intra.cl \
	common/opencl/motionsearch.cl \
	common/opencl/subpel.cl \
	common/opencl/weightp.cl \
	extras/gas-preprocessor.pl \
	doc/ratecontrol.txt \
	doc/regression_test.txt \
	doc/standards.txt \
	doc/threads.txt \
	doc/vui.txt \
	tools/digress/__init__.py \
	tools/digress/cli.py \
	tools/digress/comparers.py \
	tools/digress/constants.py \
	tools/digress/errors.py \
	tools/digress/testing.py \
	tools/digress/scm/__init__.py \
	tools/digress/scm/dummy.py \
	tools/digress/scm/git.py \
	tools/cltostr.sh \
	tools/countquant_x264.pl \
	tools/msvsdepend.sh \
	tools/q_matrix_jvt.cfg \
	tools/test_x264.py

SRCS = common/mc.c common/predict.c common/pixel.c common/macroblock.c \
       common/frame.c common/dct.c common/cpu.c common/cabac.c \
       common/common.c common/osdep.c common/rectangle.c \
       common/set.c common/quant.c common/deblock.c common/vlc.c \
       common/mvpred.c common/bitstream.c \
       encoder/analyse.c encoder/me.c encoder/ratecontrol.c \
       encoder/set.c encoder/macroblock.c encoder/cabac.c \
       encoder/cavlc.c encoder/encoder.c encoder/lookahead.c

SRCCLI = x264.c input/input.c input/timecode.c input/raw.c input/y4m.c \
         output/raw.c output/matroska.c output/matroska_ebml.c \
         output/flv.c output/flv_bytestream.c filters/filters.c \
         filters/video/video.c filters/video/source.c filters/video/internal.c \
         filters/video/resize.c filters/video/cache.c filters/video/fix_vfr_pts.c \
         filters/video/select_every.c filters/video/crop.c filters/video/depth.c

SRCSO =
OBJS =
OBJSO =
OBJCLI =

OBJCHK = tools/checkasm.o

CONFIG := $(shell cat config.h)

# GPL-only files
ifneq ($(findstring HAVE_GPL 1, $(CONFIG)),)
SRCCLI +=
endif

# Optional module sources
ifneq ($(findstring HAVE_AVS 1, $(CONFIG)),)
SRCCLI += input/avs.c
endif

ifneq ($(findstring HAVE_THREAD 1, $(CONFIG)),)
SRCCLI += input/thread.c
SRCS   += common/threadpool.c
endif

ifneq ($(findstring HAVE_WIN32THREAD 1, $(CONFIG)),)
SRCS += common/win32thread.c
endif

ifneq ($(findstring HAVE_LAVF 1, $(CONFIG)),)
SRCCLI += input/lavf.c
endif

ifneq ($(findstring HAVE_FFMS 1, $(CONFIG)),)
SRCCLI += input/ffms.c
endif

ifneq ($(findstring HAVE_GPAC 1, $(CONFIG)),)
SRCCLI += output/mp4.c
endif

ifneq ($(findstring HAVE_LSMASH 1, $(CONFIG)),)
SRCCLI += output/mp4_lsmash.c
endif

# MMX/SSE optims
ifneq ($(AS),)
X86SRC0 = const-a.asm cabac-a.asm dct-a.asm deblock-a.asm mc-a.asm \
          mc-a2.asm pixel-a.asm predict-a.asm quant-a.asm \
          cpu-a.asm dct-32.asm bitstream-a.asm
ifneq ($(findstring HIGH_BIT_DEPTH, $(CONFIG)),)
X86SRC0 += sad16-a.asm
else
X86SRC0 += sad-a.asm
endif
X86SRC = $(X86SRC0:%=common/x86/%)

ifeq ($(ARCH),X86)
ARCH_X86 = yes
ASMSRC   = $(X86SRC) common/x86/pixel-32.asm
endif

ifeq ($(ARCH),X86_64)
ARCH_X86 = yes
ASMSRC   = $(X86SRC:-32.asm=-64.asm) common/x86/trellis-64.asm
endif

ifdef ARCH_X86
SRCS   += common/x86/mc-c.c common/x86/predict-c.c
OBJASM  = $(ASMSRC:%.asm=%.o)
$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
OBJCHK += tools/checkasm-a.o
endif
endif

# AltiVec optims
ifeq ($(ARCH),PPC)
ifneq ($(AS),)
SRCS += common/ppc/mc.c common/ppc/pixel.c common/ppc/dct.c \
        common/ppc/quant.c common/ppc/deblock.c \
        common/ppc/predict.c
endif
endif

# NEON optims
ifeq ($(ARCH),ARM)
ifneq ($(AS),)
ASMSRC += common/arm/cpu-a.S common/arm/pixel-a.S common/arm/mc-a.S \
          common/arm/dct-a.S common/arm/quant-a.S common/arm/deblock-a.S \
          common/arm/predict-a.S
SRCS   += common/arm/mc-c.c common/arm/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
endif
endif

# AArch64 NEON optims
ifeq ($(ARCH),AARCH64)
ifneq ($(AS),)
ASMSRC += common/aarch64/dct-a.S     \
          common/aarch64/deblock-a.S \
          common/aarch64/mc-a.S      \
          common/aarch64/pixel-a.S   \
          common/aarch64/predict-a.S \
          common/aarch64/quant-a.S
SRCS   += common/aarch64/mc-c.c      \
          common/aarch64/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
endif
endif

ifneq ($(HAVE_GETOPT_LONG),1)
SRCCLI += extras/getopt.c
endif

ifeq ($(SYS),WINDOWS)
OBJCLI += $(if $(RC), x264res.o)
ifneq ($(SONAME),)
SRCSO  += x264dll.c
OBJSO  += $(if $(RC), x264res.dll.o)
endif
endif

ifeq ($(HAVE_OPENCL),yes)
common/oclobj.h: common/opencl/x264-cl.h $(wildcard $(SRCPATH)/common/opencl/*.cl)
	cat $^ | $(SRCPATH)/tools/cltostr.sh $@
GENERATED += common/oclobj.h
SRCS += common/opencl.c encoder/slicetype-cl.c
endif

OBJS   += $(SRCS:%.c=%.o)
OBJCLI += $(SRCCLI:%.c=%.o)
OBJSO  += $(SRCSO:%.c=%.o)

DISTFILES = $(SOURCE_FILES) $(HEADER_FILES) $(ASM_FILES) $(EXTRA_FILES)

.PHONY: all default fprofiled clean distclean install install-* uninstall cli lib-* etags

cli: x264$(EXE)
lib-static: $(LIBX264)
lib-shared: $(SONAME)

$(LIBX264): $(GENERATED) .depend $(OBJS) $(OBJASM)
	rm -f $(LIBX264)
	$(AR)$@ $(OBJS) $(OBJASM)
	$(if $(RANLIB), $(RANLIB) $@)

$(SONAME): $(GENERATED) .depend $(OBJS) $(OBJASM) $(OBJSO)
	$(LD)$@ $(OBJS) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)

ifneq ($(EXE),)
.PHONY: x264 checkasm
x264: x264$(EXE)
checkasm: checkasm$(EXE)
endif

x264$(EXE): $(GENERATED) .depend $(OBJCLI) $(CLI_LIBX264)
	$(LD)$@ $(OBJCLI) $(CLI_LIBX264) $(LDFLAGSCLI) $(LDFLAGS)

checkasm$(EXE): $(GENERATED) .depend $(OBJCHK) $(LIBX264)
	$(LD)$@ $(OBJCHK) $(LIBX264) $(LDFLAGS)

$(OBJS) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK): .depend

%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.o: %.S
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.dll.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ -DDLL $<

%.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ $<

.depend: config.mak
	@rm -f .depend
	@echo 'dependency file generation...'
ifeq ($(COMPILER),CL)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.c=%.o)" 1>> .depend;)
else
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%.o) $(DEPMM) 1>> .depend;)
endif

config.mak:
	./configure

depend: .depend
ifneq ($(wildcard .depend),)
include .depend
endif

SRC2 = $(SRCS) $(SRCCLI)
# These should cover most of the important codepaths
OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
OPT2 = --crf 26 -b4 -m5 -r2 --me hex --cqm jvt --nr 100 --psnr --no-mixed-refs --b-adapt 2 --slice-max-size 1500
OPT3 = --crf 18 -b3 -m9 -r5 --me umh -t1 -A all --b-pyramid normal --direct auto --no-fast-pskip --no-mbtree
OPT4 = --crf 22 -b3 -m7 -r4 --me esa -t2 -A all --psy-rd 1.0:1.0 --slices 4
OPT5 = --frames 50 --crf 24 -b3 -m10 -r3 --me tesa -t2
OPT6 = --frames 50 -q0 -m9 -r2 --me hex -Aall
OPT7 = --frames 50 -q0 -m2 -r1 --me hex --no-cabac

ifeq (,$(VIDS))
fprofiled:
	@echo 'usage: make fprofiled VIDS="infile1 infile2 ..."'
	@echo 'where infiles are anything that x264 understands,'
	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
else
fprofiled:
	$(MAKE) clean
	$(MAKE) x264$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./x264$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
ifeq ($(COMPILER),CL)
# Because Visual Studio timestamps the object files within the PGD, it fails to build if they change - only the executable should be deleted
	rm -f x264$(EXE)
else
	rm -f $(SRC2:%.c=%.o)
endif
	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"

=== src/lib/libffmpeg/libavcodec/Makefile ===
include $(SUBDIR)../config.mak

NAME = avcodec

HEADERS = avcodec.h                                                     \
          avfft.h                                                       \
          dv_profile.h                                                  \
          dxva2.h                                                       \
          old_codec_ids.h                                               \
          vaapi.h                                                       \
          vda.h                                                         \
          vdpau.h                                                       \
          version.h                                                     \
          xvmc.h                                                        \

OBJS = allcodecs.o                                                      \
       audioconvert.o                                                   \
       avdct.o                                                          \
       avpacket.o                                                       \
       avpicture.o                                                      \
       bitstream.o                                                      \
       bitstream_filter.o                                               \
       codec_desc.o                                                     \
       dv_profile.o                                                     \
       fmtconvert.o                                                     \
       imgconvert.o                                                     \
       mathtables.o                                                     \
       options.o                                                        \
       parser.o                                                         \
       raw.o                                                            \
       resample.o                                                       \
       resample2.o                                                      \
       utils.o                                                          \

# subsystems
OBJS-$(CONFIG_AANDCTTABLES)            += aandcttab.o
OBJS-$(CONFIG_AC3DSP)                  += ac3dsp.o
OBJS-$(CONFIG_AUDIO_FRAME_QUEUE)       += audio_frame_queue.o
OBJS-$(CONFIG_AUDIODSP)                += audiodsp.o
OBJS-$(CONFIG_BLOCKDSP)                += blockdsp.o
OBJS-$(CONFIG_BSWAPDSP)                += bswapdsp.o
OBJS-$(CONFIG_CABAC)                   += cabac.o
OBJS-$(CONFIG_CRYSTALHD)               += crystalhd.o
OBJS-$(CONFIG_DCT)                     += dct.o dct32_fixed.o dct32_float.o
OBJS-$(CONFIG_ERROR_RESILIENCE)        += error_resilience.o
OBJS-$(CONFIG_EXIF)                    += exif.o tiff_common.o
OBJS-$(CONFIG_FAANDCT)                 += faandct.o
OBJS-$(CONFIG_FAANIDCT)                += faanidct.o
OBJS-$(CONFIG_FDCTDSP)                 += fdctdsp.o jfdctfst.o jfdctint.o
FFT-OBJS-$(CONFIG_HARDCODED_TABLES)    += cos_tables.o cos_fixed_tables.o
OBJS-$(CONFIG_FFT)                     += avfft.o fft_fixed.o fft_float.o \
                                          fft_fixed_32.o fft_init_table.o \
                                          $(FFT-OBJS-yes)
OBJS-$(CONFIG_GOLOMB)                  += golomb.o
OBJS-$(CONFIG_H263DSP)                 += h263dsp.o
OBJS-$(CONFIG_H264CHROMA)              += h264chroma.o
OBJS-$(CONFIG_H264DSP)                 += h264dsp.o h264idct.o
OBJS-$(CONFIG_H264PRED)                += h264pred.o
OBJS-$(CONFIG_H264QPEL)                += h264qpel.o
OBJS-$(CONFIG_HPELDSP)                 += hpeldsp.o
OBJS-$(CONFIG_HUFFMAN)                 += huffman.o
OBJS-$(CONFIG_HUFFYUVDSP)              += huffyuvdsp.o
OBJS-$(CONFIG_HUFFYUVENCDSP)           += huffyuvencdsp.o
OBJS-$(CONFIG_IDCTDSP)                 += idctdsp.o simple_idct.o jrevdct.o
OBJS-$(CONFIG_IIRFILTER)               += iirfilter.o
OBJS-$(CONFIG_INTRAX8)                 += intrax8.o intrax8dsp.o
OBJS-$(CONFIG_LIBXVID)                 += libxvid_rc.o
OBJS-$(CONFIG_LLAUDDSP)                += lossless_audiodsp.o
OBJS-$(CONFIG_LLVIDDSP)                += lossless_videodsp.o
OBJS-$(CONFIG_LPC)                     += lpc.o
OBJS-$(CONFIG_LSP)                     += lsp.o
OBJS-$(CONFIG_MDCT)                    += mdct_fixed.o mdct_float.o mdct_fixed_32.o
OBJS-$(CONFIG_ME_CMP)                  += me_cmp.o dsputil_compat.o
OBJS-$(CONFIG_MPEG_ER)                 += mpeg_er.o
OBJS-$(CONFIG_MPEGAUDIO)               += mpegaudio.o mpegaudiodata.o   \
                                          mpegaudiodecheader.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += mpegaudiodsp.o                \
                                          mpegaudiodsp_data.o           \
                                          mpegaudiodsp_fixed.o          \
                                          mpegaudiodsp_float.o
OBJS-$(CONFIG_MPEGVIDEO)               += mpegvideo.o mpegvideodsp.o    \
                                          mpegvideo_motion.o mpegutils.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += mpegvideo_enc.o mpeg12data.o  \
                                          motion_est.o ratecontrol.o    \
                                          mpegvideoencdsp.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += pixblockdsp.o
OBJS-$(CONFIG_QPELDSP)                 += qpeldsp.o
OBJS-$(CONFIG_RANGECODER)              += rangecoder.o
RDFT-OBJS-$(CONFIG_HARDCODED_TABLES)   += sin_tables.o
OBJS-$(CONFIG_RDFT)                    += rdft.o $(RDFT-OBJS-yes)
OBJS-$(CONFIG_SHARED)                  += log2_tab.o
OBJS-$(CONFIG_SINEWIN)                 += sinewin.o
OBJS-$(CONFIG_STARTCODE)               += startcode.o
OBJS-$(CONFIG_TPELDSP)                 += tpeldsp.o
OBJS-$(CONFIG_VIDEODSP)                += videodsp.o
OBJS-$(CONFIG_VP3DSP)                  += vp3dsp.o
OBJS-$(CONFIG_WMA_FREQS)               += wma_freqs.o

# decoders/encoders
OBJS-$(CONFIG_ZERO12V_DECODER)         += 012v.o
OBJS-$(CONFIG_A64MULTI_ENCODER)        += a64multienc.o elbg.o
OBJS-$(CONFIG_A64MULTI5_ENCODER)       += a64multienc.o elbg.o
OBJS-$(CONFIG_AAC_DECODER)             += aacdec.o aactab.o aacsbr.o aacps.o \
                                          aacadtsdec.o mpeg4audio.o kbdwin.o \
                                          sbrdsp.o aacpsdsp.o
OBJS-$(CONFIG_AAC_ENCODER)             += aacenc.o aaccoder.o    \
                                          aacpsy.o aactab.o      \
                                          psymodel.o mpeg4audio.o kbdwin.o
OBJS-$(CONFIG_AASC_DECODER)            += aasc.o msrledec.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec_float.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_DECODER)       += ac3dec_fixed.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc_float.o ac3enc.o ac3tab.o \
                                          ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_ENCODER)       += ac3enc_fixed.o ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_AIC_DECODER)             += aic.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o alac_data.o
OBJS-$(CONFIG_ALAC_ENCODER)            += alacenc.o alac_data.o
OBJS-$(CONFIG_ALIAS_PIX_DECODER)       += aliaspixdec.o
OBJS-$(CONFIG_ALIAS_PIX_ENCODER)       += aliaspixenc.o
OBJS-$(CONFIG_ALS_DECODER)             += alsdec.o bgmc.o mpeg4audio.o
OBJS-$(CONFIG_AMRNB_DECODER)           += amrnbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMRWB_DECODER)           += amrwbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMV_ENCODER)             += mjpegenc.o mjpeg.o mjpegenc_common.o \
                                          mpegvideo_enc.o motion_est.o \
                                          ratecontrol.o mpeg12data.o   \
                                          mpegvideo.o
OBJS-$(CONFIG_ANM_DECODER)             += anm.o
OBJS-$(CONFIG_ANSI_DECODER)            += ansi.o cga_data.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_SSA_DECODER)             += assdec.o ass.o ass_split.o
OBJS-$(CONFIG_SSA_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASS_DECODER)             += assdec.o ass.o ass_split.o
OBJS-$(CONFIG_ASS_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASV1_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ATRAC1_DECODER)          += atrac1.o atrac.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o atrac.o
OBJS-$(CONFIG_ATRAC3P_DECODER)         += atrac3plusdec.o atrac3plus.o \
                                          atrac3plusdsp.o atrac.o
OBJS-$(CONFIG_AURA_DECODER)            += cyuv.o
OBJS-$(CONFIG_AURA2_DECODER)           += aura.o
OBJS-$(CONFIG_AVRN_DECODER)            += avrndec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_AVRP_DECODER)            += r210dec.o
OBJS-$(CONFIG_AVRP_ENCODER)            += r210enc.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_AVUI_DECODER)            += avuidec.o
OBJS-$(CONFIG_AVUI_ENCODER)            += avuienc.o
OBJS-$(CONFIG_AYUV_DECODER)            += v408dec.o
OBJS-$(CONFIG_AYUV_ENCODER)            += v408enc.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BFI_DECODER)             += bfi.o
OBJS-$(CONFIG_BINK_DECODER)            += bink.o binkdsp.o
OBJS-$(CONFIG_BINKAUDIO_DCT_DECODER)   += binkaudio.o
OBJS-$(CONFIG_BINKAUDIO_RDFT_DECODER)  += binkaudio.o
OBJS-$(CONFIG_BINTEXT_DECODER)         += bintext.o cga_data.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o msrledec.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_BMV_AUDIO_DECODER)       += bmvaudio.o
OBJS-$(CONFIG_BMV_VIDEO_DECODER)       += bmvvideo.o
OBJS-$(CONFIG_BRENDER_PIX_DECODER)     += brenderpix.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o \
                                          cavsdata.o mpeg12data.o
OBJS-$(CONFIG_CDGRAPHICS_DECODER)      += cdgraphics.o
OBJS-$(CONFIG_CDXL_DECODER)            += cdxl.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CINEPAK_ENCODER)         += cinepakenc.o elbg.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljrdec.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljrenc.o
OBJS-$(CONFIG_CLLC_DECODER)            += cllc.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o
OBJS-$(CONFIG_COMFORTNOISE_DECODER)    += cngdec.o celp_filters.o
OBJS-$(CONFIG_COMFORTNOISE_ENCODER)    += cngenc.o
OBJS-$(CONFIG_CPIA_DECODER)            += cpia.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dcadec.o dca.o dcadsp.o      \
                                          synth_filter.o
OBJS-$(CONFIG_DCA_ENCODER)             += dcaenc.o dca.o
OBJS-$(CONFIG_DIRAC_DECODER)           += diracdec.o dirac.o diracdsp.o \
                                          dirac_arith.o mpeg12data.o dirac_dwt.o
OBJS-$(CONFIG_DFA_DECODER)             += dfa.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o
OBJS-$(CONFIG_DPX_DECODER)             += dpx.o
OBJS-$(CONFIG_DPX_ENCODER)             += dpxenc.o
OBJS-$(CONFIG_DSD_LSBF_DECODER)        += dsddec.o
OBJS-$(CONFIG_DSD_MSBF_DECODER)        += dsddec.o
OBJS-$(CONFIG_DSD_LSBF_PLANAR_DECODER) += dsddec.o
OBJS-$(CONFIG_DSD_MSBF_PLANAR_DECODER) += dsddec.o
OBJS-$(CONFIG_DSICINAUDIO_DECODER)     += dsicinaudio.o

=== src/lib/libffmpeg/libavformat/Makefile ===
include $(SUBDIR)../config.mak

NAME = avformat

HEADERS = avformat.h                                                    \
          avio.h                                                        \
          version.h                                                     \

OBJS = allformats.o         \
       avio.o               \
       aviobuf.o            \
       cutils.o             \
       dump.o               \
       format.o             \
       id3v1.o              \
       id3v2.o              \
       metadata.o           \
       mux.o                \
       options.o            \
       os_support.o         \
       riff.o               \
       sdp.o                \
       seek.o               \
       url.o                \
       utils.o              \

OBJS-$(CONFIG_NETWORK)                   += network.o
OBJS-$(CONFIG_RIFFDEC)                   += riffdec.o
OBJS-$(CONFIG_RIFFENC)                   += riffenc.o
OBJS-$(CONFIG_RTPDEC)                    += rdt.o                       \
                                            rtp.o                       \
                                            rtpdec.o                    \
                                            rtpdec_amr.o                \
                                            rtpdec_asf.o                \
                                            rtpdec_g726.o               \
                                            rtpdec_h261.o               \
                                            rtpdec_h263.o               \
                                            rtpdec_h263_rfc2190.o       \
                                            rtpdec_h264.o               \
                                            rtpdec_hevc.o               \
                                            rtpdec_ilbc.o               \
                                            rtpdec_jpeg.o               \
                                            rtpdec_latm.o               \
                                            rtpdec_mpeg12.o             \
                                            rtpdec_mpeg4.o              \
                                            rtpdec_mpegts.o             \
                                            rtpdec_qcelp.o              \
                                            rtpdec_qdm2.o               \
                                            rtpdec_qt.o                 \
                                            rtpdec_svq3.o               \
                                            rtpdec_vp8.o                \
                                            rtpdec_xiph.o               \
                                            srtp.o
OBJS-$(CONFIG_RTPENC_CHAIN)              += rtpenc_chain.o rtp.o
OBJS-$(CONFIG_SHARED)                    += log2_tab.o golomb_tab.o

# muxers/demuxers
OBJS-$(CONFIG_A64_MUXER)                 += a64.o rawenc.o
OBJS-$(CONFIG_AAC_DEMUXER)               += aacdec.o apetag.o img2.o rawdec.o
OBJS-$(CONFIG_AC3_DEMUXER)               += ac3dec.o rawdec.o
OBJS-$(CONFIG_AC3_MUXER)                 += rawenc.o
OBJS-$(CONFIG_ACT_DEMUXER)               += act.o
OBJS-$(CONFIG_ADF_DEMUXER)               += bintext.o sauce.o
OBJS-$(CONFIG_ADP_DEMUXER)               += adp.o
OBJS-$(CONFIG_ADX_DEMUXER)               += adxdec.o
OBJS-$(CONFIG_ADX_MUXER)                 += rawenc.o
OBJS-$(CONFIG_ADTS_MUXER)                += adtsenc.o apetag.o img2.o \
                                            id3v2enc.o
OBJS-$(CONFIG_AEA_DEMUXER)               += aea.o pcm.o
OBJS-$(CONFIG_AFC_DEMUXER)               += afc.o
OBJS-$(CONFIG_AIFF_DEMUXER)              += aiffdec.o pcm.o isom.o \
                                            mov_chan.o
OBJS-$(CONFIG_AIFF_MUXER)                += aiffenc.o isom.o id3v2enc.o
OBJS-$(CONFIG_AMR_DEMUXER)               += amr.o
OBJS-$(CONFIG_AMR_MUXER)                 += amr.o
OBJS-$(CONFIG_ANM_DEMUXER)               += anm.o
OBJS-$(CONFIG_APC_DEMUXER)               += apc.o
OBJS-$(CONFIG_APE_DEMUXER)               += ape.o apetag.o img2.o
OBJS-$(CONFIG_AQTITLE_DEMUXER)           += aqtitledec.o subtitles.o
OBJS-$(CONFIG_ASF_DEMUXER)               += asfdec.o asf.o asfcrypt.o \
                                            avlanguage.o
OBJS-$(CONFIG_ASF_MUXER)                 += asfenc.o asf.o
OBJS-$(CONFIG_ASS_DEMUXER)               += assdec.o subtitles.o
OBJS-$(CONFIG_ASS_MUXER)                 += assenc.o
OBJS-$(CONFIG_AST_DEMUXER)               += ast.o astdec.o
OBJS-$(CONFIG_AST_MUXER)                 += ast.o astenc.o
OBJS-$(CONFIG_AU_DEMUXER)                += au.o pcm.o
OBJS-$(CONFIG_AU_MUXER)                  += au.o rawenc.o
OBJS-$(CONFIG_AVI_DEMUXER)               += avidec.o
OBJS-$(CONFIG_AVI_MUXER)                 += avienc.o mpegtsenc.o avlanguage.o
OBJS-$(CONFIG_AVISYNTH)                  += avisynth.o
OBJS-$(CONFIG_AVM2_MUXER)                += swfenc.o swf.o
OBJS-$(CONFIG_AVR_DEMUXER)               += avr.o pcm.o
OBJS-$(CONFIG_AVS_DEMUXER)               += avs.o vocdec.o voc.o
OBJS-$(CONFIG_BETHSOFTVID_DEMUXER)       += bethsoftvid.o
OBJS-$(CONFIG_BFI_DEMUXER)               += bfi.o
OBJS-$(CONFIG_BINK_DEMUXER)              += bink.o
OBJS-$(CONFIG_BINTEXT_DEMUXER)           += bintext.o sauce.o
OBJS-$(CONFIG_BIT_DEMUXER)               += bit.o
OBJS-$(CONFIG_BIT_MUXER)                 += bit.o
OBJS-$(CONFIG_BMV_DEMUXER)               += bmv.o
OBJS-$(CONFIG_BOA_DEMUXER)               += boadec.o
OBJS-$(CONFIG_BRSTM_DEMUXER)             += brstm.o
OBJS-$(CONFIG_C93_DEMUXER)               += c93.o vocdec.o voc.o
OBJS-$(CONFIG_CAF_DEMUXER)               += cafdec.o caf.o mov.o mov_chan.o \
                                            isom.o replaygain.o
OBJS-$(CONFIG_CAF_MUXER)                 += cafenc.o caf.o riff.o isom.o
OBJS-$(CONFIG_CAVSVIDEO_DEMUXER)         += cavsvideodec.o rawdec.o
OBJS-$(CONFIG_CAVSVIDEO_MUXER)           += rawenc.o
OBJS-$(CONFIG_CDG_DEMUXER)               += cdg.o
OBJS-$(CONFIG_CDXL_DEMUXER)              += cdxl.o
OBJS-$(CONFIG_CINE_DEMUXER)              += cinedec.o
OBJS-$(CONFIG_CONCAT_DEMUXER)            += concatdec.o
OBJS-$(CONFIG_CRC_MUXER)                 += crcenc.o
OBJS-$(CONFIG_DATA_DEMUXER)              += rawdec.o
OBJS-$(CONFIG_DATA_MUXER)                += rawdec.o
OBJS-$(CONFIG_DAUD_DEMUXER)              += dauddec.o
OBJS-$(CONFIG_DAUD_MUXER)                += daudenc.o
OBJS-$(CONFIG_DFA_DEMUXER)               += dfa.o
OBJS-$(CONFIG_DIRAC_DEMUXER)             += diracdec.o rawdec.o
OBJS-$(CONFIG_DIRAC_MUXER)               += rawenc.o
OBJS-$(CONFIG_DNXHD_DEMUXER)             += dnxhddec.o rawdec.o
OBJS-$(CONFIG_DNXHD_MUXER)               += rawenc.o
OBJS-$(CONFIG_DSF_DEMUXER)               += dsfdec.o
OBJS-$(CONFIG_DSICIN_DEMUXER)            += dsicin.o
OBJS-$(CONFIG_DTSHD_DEMUXER)             += dtshddec.o
OBJS-$(CONFIG_DTS_DEMUXER)               += dtsdec.o rawdec.o
OBJS-$(CONFIG_DTS_MUXER)                 += rawenc.o
OBJS-$(CONFIG_DV_DEMUXER)                += dv.o
OBJS-$(CONFIG_DV_MUXER)                  += dvenc.o
OBJS-$(CONFIG_DXA_DEMUXER)               += dxa.o
OBJS-$(CONFIG_EA_CDATA_DEMUXER)          += eacdata.o
OBJS-$(CONFIG_EA_DEMUXER)                += electronicarts.o
OBJS-$(CONFIG_EAC3_DEMUXER)              += ac3dec.o rawdec.o
OBJS-$(CONFIG_EAC3_MUXER)                += rawenc.o
OBJS-$(CONFIG_EPAF_DEMUXER)              += epafdec.o pcm.o
OBJS-$(CONFIG_FFM_DEMUXER)               += ffmdec.o
OBJS-$(CONFIG_FFM_MUXER)                 += ffmenc.o
OBJS-$(CONFIG_FFMETADATA_DEMUXER)        += ffmetadec.o
OBJS-$(CONFIG_FFMETADATA_MUXER)          += ffmetaenc.o
OBJS-$(CONFIG_FILMSTRIP_DEMUXER)         += filmstripdec.o
OBJS-$(CONFIG_FILMSTRIP_MUXER)           += filmstripenc.o
OBJS-$(CONFIG_FLAC_DEMUXER)              += flacdec.o rawdec.o \
                                            flac_picture.o   \
                                            oggparsevorbis.o \
                                            replaygain.o     \
                                            vorbiscomment.o
OBJS-$(CONFIG_FLAC_MUXER)                += flacenc.o flacenc_header.o \
                                            vorbiscomment.o
OBJS-$(CONFIG_FLIC_DEMUXER)              += flic.o
OBJS-$(CONFIG_FLV_DEMUXER)               += flvdec.o
OBJS-$(CONFIG_LIVE_FLV_DEMUXER)          += flvdec.o
OBJS-$(CONFIG_FLV_MUXER)                 += flvenc.o avc.o
OBJS-$(CONFIG_FOURXM_DEMUXER)            += 4xm.o
OBJS-$(CONFIG_FRAMECRC_MUXER)            += framecrcenc.o framehash.o
OBJS-$(CONFIG_FRAMEMD5_MUXER)            += md5enc.o framehash.o
OBJS-$(CONFIG_FRM_DEMUXER)               += frmdec.o
OBJS-$(CONFIG_GIF_MUXER)                 += gif.o
OBJS-$(CONFIG_GIF_DEMUXER)               += gifdec.o
OBJS-$(CONFIG_GSM_DEMUXER)               += gsmdec.o
OBJS-$(CONFIG_GXF_DEMUXER)               += gxf.o
OBJS-$(CONFIG_GXF_MUXER)                 += gxfenc.o audiointerleave.o
OBJS-$(CONFIG_G722_DEMUXER)              += g722.o rawdec.o
OBJS-$(CONFIG_G722_MUXER)                += rawenc.o
OBJS-$(CONFIG_G723_1_DEMUXER)            += g723_1.o
OBJS-$(CONFIG_G723_1_MUXER)              += rawenc.o
OBJS-$(CONFIG_G729_DEMUXER)              += g729dec.o
OBJS-$(CONFIG_H261_DEMUXER)              += h261dec.o rawdec.o
OBJS-$(CONFIG_H261_MUXER)                += rawenc.o
OBJS-$(CONFIG_H263_DEMUXER)              += h263dec.o rawdec.o
OBJS-$(CONFIG_H263_MUXER)                += rawenc.o
OBJS-$(CONFIG_H264_DEMUXER)              += h264dec.o rawdec.o
OBJS-$(CONFIG_H264_MUXER)                += rawenc.o
OBJS-$(CONFIG_HDS_MUXER)                 += hdsenc.o
OBJS-$(CONFIG_HEVC_DEMUXER)              += hevcdec.o rawdec.o
OBJS-$(CONFIG_HEVC_MUXER)                += rawenc.o
OBJS-$(CONFIG_HLS_DEMUXER)               += hls.o
OBJS-$(CONFIG_HLS_MUXER)                 += hlsenc.o
OBJS-$(CONFIG_HNM_DEMUXER)               += hnm.o
OBJS-$(CONFIG_ICO_DEMUXER)               += icodec.o
OBJS-$(CONFIG_ICO_MUXER)                 += icoenc.o
OBJS-$(CONFIG_IDCIN_DEMUXER)             += idcin.o
OBJS-$(CONFIG_IDF_DEMUXER)               += bintext.o sauce.o
OBJS-$(CONFIG_IFF_DEMUXER)               += iff.o
OBJS-$(CONFIG_ILBC_DEMUXER)              += ilbc.o
OBJS-$(CONFIG_ILBC_MUXER)                += ilbc.o
OBJS-$(CONFIG_IMAGE2_DEMUXER)            += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE2_MUXER)              += img2enc.o img2.o
OBJS-$(CONFIG_IMAGE2PIPE_DEMUXER)        += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE2PIPE_MUXER)          += img2enc.o img2.o
OBJS-$(CONFIG_IMAGE2_ALIAS_PIX_DEMUXER)  += img2_alias_pix.o
OBJS-$(CONFIG_IMAGE2_BRENDER_PIX_DEMUXER) += img2_brender_pix.o
OBJS-$(CONFIG_IMAGE_BMP_PIPE_DEMUXER)     += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_DPX_PIPE_DEMUXER)     += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_EXR_PIPE_DEMUXER)     += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_J2K_PIPE_DEMUXER)     += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_JPEGLS_PIPE_DEMUXER)  += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_PICTOR_PIPE_DEMUXER)  += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_PNG_PIPE_DEMUXER)     += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_SGI_PIPE_DEMUXER)     += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_SUNRAST_PIPE_DEMUXER) += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_TIFF_PIPE_DEMUXER)    += img2dec.o img2.o
OBJS-$(CONFIG_IMAGE_WEBP_PIPE_DEMUXER)    += img2dec.o img2.o
OBJS-$(CONFIG_INGENIENT_DEMUXER)         += ingenientdec.o rawdec.o
OBJS-$(CONFIG_IPMOVIE_DEMUXER)           += ipmovie.o
OBJS-$(CONFIG_IRCAM_DEMUXER)             += ircamdec.o ircam.o pcm.o
OBJS-$(CONFIG_IRCAM_MUXER)               += ircamenc.o ircam.o rawenc.o
OBJS-$(CONFIG_ISS_DEMUXER)               += iss.o
OBJS-$(CONFIG_IV8_DEMUXER)               += iv8.o
OBJS-$(CONFIG_IVF_DEMUXER)               += ivfdec.o
OBJS-$(CONFIG_IVF_MUXER)                 += ivfenc.o
OBJS-$(CONFIG_JACOSUB_DEMUXER)           += jacosubdec.o subtitles.o
OBJS-$(CONFIG_JACOSUB_MUXER)             += jacosubenc.o rawenc.o
OBJS-$(CONFIG_JV_DEMUXER)                += jvdec.o
OBJS-$(CONFIG_LATM_DEMUXER)              += rawdec.o

=== src/lib/libffmpeg/libavutil/x86/Makefile ===
OBJS += x86/cpu.o                                                       \
        x86/float_dsp_init.o                                            \
        x86/lls_init.o                                                  \

OBJS-$(CONFIG_PIXELUTILS) += x86/pixelutils_init.o                      \

YASM-OBJS += x86/cpuid.o                                                \
             x86/emms.o                                                 \
             x86/float_dsp.o                                            \
             x86/lls.o                                                  \

YASM-OBJS-$(CONFIG_PIXELUTILS) += x86/pixelutils.o                      \

=== debian/changelog ===
vice (3.5.0.dfsg-3) unstable; urgency=medium

  * Add upstream metadata.
  * Update homepage location.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Feb 2021 17:15:33 +0100

vice (3.5.0.dfsg-2) unstable; urgency=medium

  * Remove man page symlinks, man page no longer available (closes: 978554).
  * Remove ROM placeholder files.
  * Update install paths in vice-getroms (closes: #926114).
  * Do not auto compress PDF documentation (closes: #968499).
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Dec 2020 12:11:37 +0100

vice (3.5.0.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Revert non-free linenoise-ng usage to readline.
  * Update packaging bits.
  * Update debhelper level to 13 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Dec 2020 08:03:02 +0100

vice (3.4.0.dfsg-3) unstable; urgency=medium

  * Build with GTK 3 (closes: #967794).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2020 21:54:31 +0200

vice (3.4.0.dfsg-2) unstable; urgency=medium

  * Backport upstream fix for GCC 10 -fno-common FTBFS (closes: #966193).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jul 2020 19:17:59 +0200

=== debian/control ===
Source: vice
Build-Depends: debhelper-compat (= 13), autoconf, automake, bison++ | bison,
 flex, texinfo, texlive-base, dos2unix, xa65, libreadline-dev,
 libjpeg-dev, libpng-dev, libgtk-3-dev, libasound2-dev [linux-any],
 libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10),
 libieee1284-3-dev [!hurd-i386], libglew-dev, libvte-2.91-dev, libswscale-dev,
 libxaw7-dev, xfonts-utils, yasm (>= 1.2)
Section: contrib/otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Homepage: https://vice-emu.sourceforge.io/
Standards-Version: 4.5.1

Package: vice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Versatile Commodore Emulator
 VICE emulates well the hardware of the Commodore Business Machines of
 the pre-Amiga era. Supported are the various Pets, the VIC-20, the
 Commodore 64, the Commodore 128, the CBM-II series, and the PLUS/4.
 .
 Some alternate keywords for the above: VIC20, C64, C=64, C64 DTV, C128,
 C=128, CBM-500, CBM-600, CBM-700, PLUS4 .
 .
 This package does not contain the various ROM images needed to
 actually use the emulators; they are available separately from other
 locations (see the README.ROMs file).  A corporation in the
 Netherlands called Tulip holds the copyrights to the ROM images, and
 redistribution is not permitted, but VICE itself is unencumbered.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS), linux)
        linuxflags += --with-alsa
endif

unexport HOME

PKGDIR:=$(CURDIR)/debian/vice

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--enable-html-docs \
		--enable-pdf-docs \
		--enable-native-gtk3ui \
		--enable-x64 \
		--disable-parsid \
		--enable-hardsid \
		--with-resid \
		--enable-arch=no \
		--with-png \
		--with-jpeg \
		--enable-lame \
		--enable-external-ffmpeg \
		--enable-rs232 \
		--enable-ipv6 \
		--with-oss \
		$(linuxflags) \
		--with-pulse \
		--enable-cpuhistory \
		--enable-realdevice \
		--verbose

override_dh_install:
	dh_install
	# remove extra licence file
	rm -f $(PKGDIR)/usr/lib/vice/doc/COPYING
	# remove ROM 'dummy' placeholders
	find $(PKGDIR)/usr/share/vice -size 6c -exec rm {} \;
	# remove duplicated documentation
	rm -rf $(PKGDIR)/usr/lib/vice/doc/

override_dh_installinfo:
	dh_installinfo
	rm -rf $(PKGDIR)/usr/share/info/

override_dh_compress:
	dh_compress -X.pdf

%:
	dh $@

.PHONY: override_dh_auto_configure override_dh_install \
	override_dh_installinfo override_dh_compress

=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// \
https://sf.net/vice-emu/vice-v?(\d\S+)@ARCHIVE_EXT@
